name: kubernetes-dashboard
serviceAccountName: kubernetes-dashboard-service-account
values:
  applicationDependencies:
    - name: isNginxInstalled
      repository: gitlab.com/openlizz/applications/nginx
    - name: isDomainInstalled
      repository: gitlab.com/openlizz/applications/domain-name
  clusterValues:
    - name: nginxName
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/nginx" }}{{.Name}}{{ end }}{{ end }}'
    - name: nginxNamespace
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/nginx" }}{{.Configuration.Namespace}}{{ end }}{{ end }}'
    - name: domainName
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/domain-name" }}{{.Configuration.Name}}{{ end }}{{ end }}'
    - name: domainNamespace
      template: '{{ range .Applications }}{{ if eq .Configuration.Repository "gitlab.com/openlizz/applications/domain-name" }}{{.Configuration.Namespace}}{{ end }}{{ end }}'
  applicationValues:
    - name: domain
      repository: gitlab.com/openlizz/applications/domain-name
      path: configmap.yaml
      keys: ["data", "value"]
dependencies:
  - {{ index . "isDomainInstalled" }}
  - {{index . "isNginxInstalled"}}
dependsOn:
  - name: {{index . "nginxName"}}
    namespace: {{index . "nginxNamespace"}}
  {{- if index . "isDomainInstalled" }}
  - name: {{index . "domainName"}}
    namespace: {{index . "domainNamespace"}}
  {{- end }}
